Subject: Re: bug#13994: End of buffer error for forward-sexp

From: "Aaron S. Hawley" <[email-masked]>
Date: Wed, 24 Apr 2013 16:38:00 -0400

>> I would like C-M-f (`forward-sexp') to signal an error when reaching
>> the beginning or end of a buffer.
>
> That would make sense, indeed, but I'm afraid there's a fair bit of code
> out there that needs the current behavior.

I by no means use all of Emacs, but haven't run into an issue yet with
my patch.  I use Emacs with t-d-o-e on.

Do you have an example of code that you've seen "needs the current
behavior" at the beginning or end of the buffer.  I'd be happy to
crusade and study this further and root those out.

So far, I've looked at these functions in Emacs to see if they still work.

end-of-sexp
beginning-of-sexp
thing-at-point-bounds-of-list-at-point
sort-numeric-fields
transpose-sexps
blink-matching-open
diary-list-sexp-entries
diary-mark-sexp-entries
comint-extract-string